Get Token Details
curl --request GET \
--url https://api.adamik.io/api/{chainId}/token/{tokenId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/{chainId}/token/{tokenId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/{chainId}/token/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": {
"type": "TRC10",
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"decimals": "<string>",
"contractAddress": "<string>"
}
}Chain
Get Token Details
Retrieves detailed information about a specific token for a blockchain network, identified by chain ID and token ID.
GET
/
api
/
{chainId}
/
token
/
{tokenId}
Get Token Details
Authorizations
Path Parameters
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet Token ID. Format depends on the chain, e.g. contract address for EVM chains.
Example:
"0xdAC17F958D2ee523a2206206994597C13D831ec7"
Response
200 - application/json
Returns detailed data about the token on the specified blockchain.
Show child attributes
Show child attributes
Was this page helpful?